<?php
/*-------------------------------------------------------+
| PHP-Fusion 7
| Filename: infusion.php
| ap-shop Version: 1.0
| Author: Alipapa (http://ap-fusion.ru/)
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ap-shop/infusion_db.php";

if (file_exists(INFUSIONS."ap-shop/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ap-shop/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ap-shop/locale/English.php";
}

// Infusion general information
$inf_title = $locale['aps_title'];
$inf_description = $locale['aps_desc'];
$inf_version = "1.0";
$inf_developer = "Alipapa";
$inf_email = "alipapa@pisem.net";
$inf_weburl = "http://ap-fusion.ru";

$inf_folder = "ap-shop"; // The folder in which the infusion resides.
$inf_newtable[1] = DB_MG_PRODUCT." (
					`id` mediumint(8) NOT NULL AUTO_INCREMENT,
					`subject` varchar(250) NOT NULL DEFAULT '',
					`image` varchar(200) NOT NULL DEFAULT '',
					`image_t1` varchar(200) NOT NULL DEFAULT '',
					`image_t2` varchar(200) NOT NULL DEFAULT '',
					`cat` mediumint(8) NOT NULL DEFAULT '0',
					`short` text NOT NULL,
					`extended` text NOT NULL,
					`breaks` char(1) NOT NULL DEFAULT '',
					`name` mediumint(8) NOT NULL DEFAULT '1',
					`datestamp` int(10) NOT NULL DEFAULT '0',
					`visibility` tinyint(3) NOT NULL DEFAULT '0',
					`price` mediumint(10) NOT NULL DEFAULT '0',
					`draft` tinyint(1) NOT NULL DEFAULT '0',
					`sticky` tinyint(1) NOT NULL DEFAULT '0',
					`allow_comments` tinyint(1) NOT NULL DEFAULT '0',
					`allow_ratings` tinyint(1) NOT NULL DEFAULT '0',
				PRIMARY KEY (`id`),
				KEY `datestamp` (`datestamp`)
			) ENGINE=MyISAM;";

$inf_newtable[2] = DB_MG_CATEGORY." (
					`cat_id` mediumint(8) NOT NULL AUTO_INCREMENT,
					`cat_name` varchar(255) NOT NULL DEFAULT '',
					`descripion` varchar(255) NOT NULL DEFAULT '',
					`cat_parent_id` mediumint(8) NOT NULL DEFAULT '0',
					`cat_image` varchar(255) NOT NULL DEFAULT '',
				PRIMARY KEY (`cat_id`),
				KEY `cat_name` (`cat_name`)
			) ENGINE=MyISAM;";

$inf_newtable[3] = DB_MG_ORDER." (
					`id` mediumint(8) NOT NULL AUTO_INCREMENT,
					`date` varchar(16) NOT NULL,
					`bill` text NOT NULL,
					`client` text NOT NULL,
					`status` tinyint(1) NOT NULL DEFAULT '0',
				PRIMARY KEY (`id`),
				KEY `date` (`date`)
			) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_SETTINGS." (settings_name, settings_value) VALUES('mg_mail', '".$settings['siteemail']."')";
$inf_insertdbrow[2] = DB_SETTINGS." (settings_name, settings_value) VALUES('mg_fam', '0')";
$inf_insertdbrow[3] = DB_SETTINGS." (settings_name, settings_value) VALUES('mg_name', '1')";
$inf_insertdbrow[4] = DB_SETTINGS." (settings_name, settings_value) VALUES('mg_us_mail', '0')";
$inf_insertdbrow[5] = DB_SETTINGS." (settings_name, settings_value) VALUES('mg_fone', '1')";
$inf_insertdbrow[6] = DB_SETTINGS." (settings_name, settings_value) VALUES('mg_adr', '0')";
$inf_insertdbrow[7] = DB_SETTINGS." (settings_name, settings_value) VALUES('mg_metr', '0')";
$inf_insertdbrow[8] = DB_SETTINGS." (settings_name, settings_value) VALUES('mg_in_price', '0')";
$inf_insertdbrow[9] = DB_SETTINGS." (settings_name, settings_value) VALUES('mg_view_price', 'usd')";
$inf_insertdbrow[10] = DB_MG_CATEGORY." (`cat_id`, `cat_name`, `descripion`, `cat_parent_id`, `cat_image`) VALUES (1, '".$locale['aps_cat1']."', '', 0, 'garment.jpg')";
$inf_insertdbrow[11] = DB_MG_CATEGORY." (`cat_id`, `cat_name`, `descripion`, `cat_parent_id`, `cat_image`) VALUES (2, '".$locale['aps_cat2']."', '', 0, 'electronics.jpg')";
$inf_insertdbrow[12] = DB_MG_CATEGORY." (`cat_id`, `cat_name`, `descripion`, `cat_parent_id`, `cat_image`) VALUES (3, '".$locale['aps_cat3']."', '', 0, 'auto.jpg')";
$inf_insertdbrow[13] = DB_MG_CATEGORY." (`cat_id`, `cat_name`, `descripion`, `cat_parent_id`, `cat_image`) VALUES (4, '".$locale['aps_cat4']."', '', 0, 'bags.jpg')";
$inf_insertdbrow[14] = DB_MG_CATEGORY." (`cat_id`, `cat_name`, `descripion`, `cat_parent_id`, `cat_image`) VALUES (5, '".$locale['aps_cat5']."', '', 0, 'diamond.jpg')";
$inf_insertdbrow[15] = DB_MG_CATEGORY." (`cat_id`, `cat_name`, `descripion`, `cat_parent_id`, `cat_image`) VALUES (6, '".$locale['aps_cat6']."', '', 0, 'kids.jpg')";
$inf_insertdbrow[16] = DB_MG_CATEGORY." (`cat_id`, `cat_name`, `descripion`, `cat_parent_id`, `cat_image`) VALUES (7, '".$locale['aps_cat7']."', '', 0, 'cosmetic.jpg')";
$inf_insertdbrow[17] = DB_MG_CATEGORY." (`cat_id`, `cat_name`, `descripion`, `cat_parent_id`, `cat_image`) VALUES (8, '".$locale['aps_cat8']."', '', 0, 'garden.jpg')";
$inf_insertdbrow[18] = DB_MG_CATEGORY." (`cat_id`, `cat_name`, `descripion`, `cat_parent_id`, `cat_image`) VALUES (9, '".$locale['aps_cat9']."', '', 0, 'ski.jpg')";
$inf_insertdbrow[19] = DB_MG_CATEGORY." (`cat_id`, `cat_name`, `descripion`, `cat_parent_id`, `cat_image`) VALUES (10, '".$locale['aps_cat10']."', '', 0, 'beautychannel.png')";

$inf_droptable[1] = DB_MG_PRODUCT;
$inf_droptable[2] = DB_MG_CATEGORY;
$inf_droptable[3] = DB_MG_ORDER;

$inf_deldbrow[1] = DB_SETTINGS." WHERE settings_name='mg_mail'";
$inf_deldbrow[2] = DB_SETTINGS." WHERE settings_name='mg_fam'";
$inf_deldbrow[3] = DB_SETTINGS." WHERE settings_name='mg_name'";
$inf_deldbrow[4] = DB_SETTINGS." WHERE settings_name='mg_us_mail'";
$inf_deldbrow[5] = DB_SETTINGS." WHERE settings_name='mg_fone'";
$inf_deldbrow[6] = DB_SETTINGS." WHERE settings_name='mg_adr'";
$inf_deldbrow[7] = DB_SETTINGS." WHERE settings_name='mg_metr'";
$inf_deldbrow[8] = DB_SETTINGS." WHERE settings_name='mg_in_price'";
$inf_deldbrow[9] = DB_SETTINGS." WHERE settings_name='mg_view_price'";
$inf_deldbrow[10] = DB_COMMENTS." WHERE comment_type='AS'";
$inf_deldbrow[11] = DB_RATINGS." WHERE rating_type='S'";

//$inf_altertable[1] = DB_INFUSION_TABLE." ADD etc";
$inf_adminpanel[1] = array(
	"title" => $locale['aps_prefix'].$locale['aps_admin1'],
	"image" => INFUSIONS."ap-shop/admin/img/product.png",
	"panel" => "admin/product.php",
	"rights" => "APS"
);

$inf_adminpanel[2] = array(
	"title" => $locale['aps_prefix'].$locale['aps_admin2'],
	"image" => INFUSIONS."ap-shop/admin/img/settings.png",
	"panel" => "admin/settings.php",
	"rights" => "APS1"
);

$inf_adminpanel[3] = array(
	"title" => $locale['aps_prefix'].$locale['aps_admin3'],
	"image" => INFUSIONS."ap-shop/admin/img/orders.png",
	"panel" => "admin/orders.php",
	"rights" => "APS2"
);

$inf_adminpanel[4] = array(
	"title" => $locale['aps_prefix'].$locale['aps_admin4'],
	"image" => INFUSIONS."ap-shop/admin/img/categ.png",
	"panel" => "admin/category.php",
	"rights" => "APS3"
);

$inf_sitelink[1] = array(
	"title" => $locale['aps_prefix'].$locale['aps_admin1'],
	"url" => "products.php",
	"visibility" => "0"
);

$inf_sitelink[2] = array(
	"title" => $locale['aps_prefix'].$locale['aps_admin4'],
	"url" => "cats.php",
	"visibility" => "0"
);
?>