<?php
require_once "../../../maincore.php";
include INFUSIONS."ap-shop/infusion_db.php";

if (!checkRights("APS3") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
//include LOCALE.LOCALESET."admin/news-cats.php";
if (file_exists(INFUSIONS."ap-shop/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ap-shop/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ap-shop/locale/English.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['aps_cat_420'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['aps_cat_421'];
	} elseif ($_GET['status'] == "dn") {
		$message = $locale['aps_cat_422']."<br />\n<span class='small'>".$locale['aps_cat_423']."</span>";
	} elseif ($_GET['status'] == "dy") {
		$message = $locale['aps_cat_424'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
	$result = dbcount("(cat_id)", DB_MG_PRODUCT, "cat='".$_GET['cat_id']."'");
	if (!empty($result)) {
		redirect(FUSION_SELF.$aidlink."&status=dn");
	} else {
		$result = dbquery("DELETE FROM ".DB_MG_CATEGORY." WHERE cat_id='".$_GET['cat_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dy");
	}
} elseif (isset($_POST['save_cat'])) {
	$cat_name = stripinput($_POST['cat_name']);
	$cat_image = stripinput($_POST['cat_image']);
	if ($cat_name && $cat_image) {
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
			$result = dbquery("UPDATE ".DB_MG_CATEGORY." SET cat_name='$cat_name', cat_image='$cat_image' WHERE cat_id='".$_GET['cat_id']."'");
			redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
			$checkCat = dbcount("(cat_id)", DB_MG_CATEGORY, "cat_name='".$cat_name."'");
			if ($checkCat == 0) {
				$result = dbquery("INSERT INTO ".DB_MG_CATEGORY." (cat_name, cat_image) VALUES ('$cat_name', '$cat_image')");
				redirect(FUSION_SELF.$aidlink."&status=sn");
			} else {
				$error = 2;
				$formaction = FUSION_SELF.$aidlink;
				$openTable = $locale['aps_cat_401'];
			}
		}
	} else {
		$error = 1;
		$formaction = FUSION_SELF.$aidlink;
		$openTable = $locale['aps_cat_401'];
	}
} elseif ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
	$result = dbquery("SELECT cat_id, cat_name, cat_image FROM ".DB_MG_CATEGORY." WHERE cat_id='".$_GET['cat_id']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$cat_name = $data['cat_name'];
		$cat_image = $data['cat_image'];
		$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['cat_id'];
		$openTable = $locale['aps_cat_400'];
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} else {
	$cat_name = "";
	$cat_image = "";
	$formaction = FUSION_SELF.$aidlink;
	$openTable = $locale['aps_cat_401'];
}
$image_files = makefilelist("../img/cat/", ".|..|index.php", true);
$image_list = makefileopts($image_files,$cat_image);

if (isset($error) && isnum($error)) {
	if ($error == 1) {
		$errorMessage = $locale['aps_cat_460'];
	} elseif ($error == 2) {
		$errorMessage = $locale['aps_cat_461'];
	}
	if ($errorMessage) { echo "<div id='close-message'><div class='admin-message'>".$errorMessage."</div></div>\n"; }
}
echo THEME_BULLET." <a href='product.php".$aidlink."'>".$locale['aps_admin1']."</a>\n";
echo THEME_BULLET." <a href='settings.php".$aidlink."'>".$locale['aps_admin2']."</a>\n";
echo THEME_BULLET." <a href='orders.php".$aidlink."'>".$locale['aps_admin3']."</a>\n";
echo THEME_BULLET." <a href='category.php".$aidlink."'>".$locale['aps_admin4']."</a>\n";

opentable($openTable);
echo "<form name='addcat' method='post' action='".$formaction."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['aps_cat_430']."</td>\n";
echo "<td class='tbl'><input type='text' name='cat_name' value='".$cat_name."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['aps_cat_431']."</td>\n";
echo "<td class='tbl'><select name='cat_image' class='textbox' style='width:200px;'>\n".$image_list."</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='save_cat' value='".$locale['aps_cat_432']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

opentable($locale['aps_cat_402']);
$result = dbquery("SELECT cat_id, cat_name, cat_image FROM ".DB_MG_CATEGORY." ORDER BY cat_name");
$rows = dbrows($result);
if ($rows != 0) {
	$counter = 0; $columns = 4;
	echo "<table cellpadding='0' cellspacing='1' width='400' class='center'>\n<tr>\n";
	while ($data = dbarray($result)) {
		if ($counter != 0 && ($counter % $columns == 0)) echo "</tr>\n<tr>\n";
		echo "<td align='center' width='25%' class='tbl'><strong>".$data['cat_name']."</strong><br /><br />\n";
		echo "<img src='../img/cat/".$data['cat_image']."' alt='".$data['cat_name']."' class='news-category' width='120px' /><br /><br />\n";
		echo "<span class='small'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['cat_id']."'>".$locale['aps_cat_433']."</a> -\n";
		echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;cat_id=".$data['cat_id']."' onclick=\"return confirm('".$locale['aps_cat_450']."');\">".$locale['aps_cat_434']."</a></span></td>\n";
		$counter++;
	}
	echo "</tr>\n</table>\n";
} else {
	echo "<div style='text-align:center'><br />\n".$locale['aps_cat_435']."<br /><br />\n</div>\n";
}
echo "<div style='text-align:center'><br />\n<a href='".ADMIN."images.php".$aidlink."&amp;ifolder=imagesnc' target='_blank'>".$locale['aps_cat_436']."</a><br /><br />\n</div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>